Bug 188584 - security/cfv was deleted unnecessarily
Summary: security/cfv was deleted unnecessarily
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-14 04:10 UTC by Matthew Rezny
Modified: 2014-04-14 21:24 UTC (History)
0 users

See Also:


Attachments
file.diff (1.49 KB, patch)
2014-04-14 04:10 UTC, Matthew Rezny
no flags Details | Diff
security_cfv_patch.txt (2.97 KB, text/plain; charset="UTF-8")
2014-04-14 14:20 UTC, Matthew Rezny
no flags Details
security_cfv_patch.txt (3.30 KB, text/plain; charset="UTF-8")
2014-04-14 19:07 UTC, Matthew Rezny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2014-04-14 04:10:00 UTC
security/cfv was marked deprecated do to lack of staging and a maintainer. The deprecation message states it was not maintainered since 2001, which is technically incorrect. It may not have had a maintainer since 2001, but it has received maintenance in that it received version updates through 2009 and was once previous resurrected in 2012 after removal for an optional dependency.

I use this port and would appreciate it if it could be resurrected once again. I have prepared a page to add staging support, which was really quite trivial to do. I am willing to take maintainership to keep this port out of the graveyard.

Fix: Stop deleting ports over trivial matters. Fix them, or at least give reasobnable opportunity for their users to fix them.

In this case, revert r351202 and apply the attached patch.


Patch attached with submission follows:
How-To-Repeat: Keep deleting ports over trivial matters.
Comment 1 Matthew Rezny freebsd_committer 2014-04-14 14:20:47 UTC
It has been brought to my attention someone else filed a PR (ports/188564) with 
the same request, though no patch. xmj@ had prepared a patch for that request.

I used his as inspiration to improve m y patch, the result being what I 
believe to be the most straightforward solution for staging this port.

Also, set myself as maintainer in this patch.
Comment 2 Johannes Jost Meixner freebsd_committer 2014-04-14 14:29:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xmj

I'll take it.
Comment 3 Matthew Rezny freebsd_committer 2014-04-14 19:07:13 UTC
xmj pointed out the need to run stage-qa, which revealed the need for a slight 
change. Updated patch attached.
Comment 4 dfilter service freebsd_committer 2014-04-14 21:14:10 UTC
Author: xmj
Date: Mon Apr 14 20:14:01 2014
New Revision: 351286
URL: http://svnweb.freebsd.org/changeset/ports/351286
QAT: https://qat.redports.org/buildarchive/r351286/

Log:
  security/cfv: Resurrection, stage, assign maintainer
  
  - Resurrection
  - Assign maintainer to matthew@reztek.cz
  - Stagify
  
  PR:	ports/188584
  PR:	ports/188564
  Submitted by:	Matthew Rezny
  Approved by:	swills (mentor)

Added:
  head/security/cfv/
     - copied from r350853, head/security/cfv/
Modified:
  head/MOVED
  head/security/Makefile
  head/security/cfv/Makefile
  head/security/cfv/files/patch-Makefile
  head/security/cfv/pkg-plist

Modified: head/MOVED
==============================================================================
--- head/MOVED	Mon Apr 14 20:09:06 2014	(r351285)
+++ head/MOVED	Mon Apr 14 20:14:01 2014	(r351286)
@@ -5992,7 +5992,6 @@ graphics/svg2swf||2014-04-13|Has expired
 devel/flick||2014-04-13|Has expired: Unmaintained since 2001
 mail/smail||2014-04-13|Has expired: Unmaintained since 2001
 net/net-http||2014-04-13|Has expired: Unmaintained since 2001
-security/cfv||2014-04-13|Has expired: Unmaintained since 2001
 graphics/camediaplay||2014-04-13|Has expired: Unmaintained since 2001
 math/umatrix||2014-04-13|Has expired: Unmaintained since 2001
 lang/f77||2014-04-13|Has expired: Unmaintained since 2001

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Mon Apr 14 20:09:06 2014	(r351285)
+++ head/security/Makefile	Mon Apr 14 20:14:01 2014	(r351286)
@@ -54,6 +54,7 @@
     SUBDIR += ccrypt
     SUBDIR += ccsrch
     SUBDIR += cfs
+    SUBDIR += cfv
     SUBDIR += chaosreader
     SUBDIR += checkpassword
     SUBDIR += checkpassword-pam

Modified: head/security/cfv/Makefile
==============================================================================
--- head/security/cfv/Makefile	Thu Apr 10 20:57:50 2014	(r350853)
+++ head/security/cfv/Makefile	Mon Apr 14 20:14:01 2014	(r351286)
@@ -6,20 +6,16 @@ PORTVERSION=	1.18.3
 CATEGORIES=	security
 MASTER_SITES=	SF
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	matthew@reztek.cz
 COMMENT=	Utility to both test and create .sfv, .csv, and md5sum files
 
-DEPRECATED=	Unmaintained since 2001
-EXPIRATION_DATE=	2014-04-12
 USE_PYTHON=	2
 ALL_TARGET=	cfv.wrapper
 INSTALL_TARGET=	install-wrapper
 MAKE_ARGS=	PYTHON=${PYTHON_CMD}
 
-MAN1=	cfv.1
-
-NO_STAGE=	yes
 post-patch:
-	@${REINPLACE_CMD} -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e "s,%%SITELIBDIR%%,${PYTHON_SITELIBDIR},g" \
+	        -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/Makefile
 
 .include <bsd.port.mk>

Modified: head/security/cfv/files/patch-Makefile
==============================================================================
--- head/security/cfv/files/patch-Makefile	Thu Apr 10 20:57:50 2014	(r350853)
+++ head/security/cfv/files/patch-Makefile	Mon Apr 14 20:14:01 2014	(r351286)
@@ -1,9 +1,37 @@
 --- Makefile.orig	Fri Dec  7 17:01:19 2001
 +++ Makefile	Fri Dec  7 17:01:56 2001
-@@ -1,5 +1,5 @@
+@@ -1,10 +1,7 @@
  PYTHON=python
 -prefix=/usr/local
 +prefix=%%PREFIX%%
  exec_prefix=${prefix}
+-
+-#finds the site-packages dir that matches the selected prefix, or if none do, falls back to wherever it can find one..
+-pkgdir=`$(PYTHON) -c 'import sys,re; x=filter(lambda x: re.match("$(prefix).*site-packages",x),sys.path); y=filter(lambda y: re.search("site-packages",y),sys.path); x.sort(lambda x,y: cmp(len(x),len(y))); y.sort(lambda x,y: cmp(len(x),len(y))); x.extend(y); print x[0]'`
+-#nice little expression, huh? ;)
++pkgdir=%%SITELIBDIR%%
  
- #finds the site-packages dir that matches the selected prefix, or if none do, falls back to wherever it can find one..
+ bindir=${exec_prefix}/bin
+ mandir=${prefix}/man
+@@ -39,16 +36,16 @@
+ cfv.wrapper:
+ 	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport cfv\ncfv.main()\n"%py[0])'
+ 
+-$(DESTDIR)$(mandir)/man1 $(DESTDIR)$(bindir):
++$(DESTDIR)$(mandir)/man1 $(DESTDIR)$(bindir) $(DESTDIR)$(pkgdir):
+ 	$(install_dir) $@
+ 
+-install-wrapper-only: $(DESTDIR)$(bindir) cfv.wrapper install_man
++install-wrapper-only: $(DESTDIR)$(pkgdir) $(DESTDIR)$(bindir) cfv.wrapper
+ 	$(install_data) cfv $(DESTDIR)$(pkgdir)/cfv.py
+ 	$(install_script) cfv.wrapper $(DESTDIR)$(bindir)/cfv
+ 
+-install-wrapper: install-wrapper-only
+-	$(PYTHON) -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
+-	$(PYTHON) -O -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
++install-wrapper: install-wrapper-only install_man
++	$(PYTHON) -m compileall -d $(pkgdir) -l $(DESTDIR)$(pkgdir) 
++	$(PYTHON) -O -m compileall -d $(pkgdir) -l $(DESTDIR)$(pkgdir) 
+ 
+ install: $(DESTDIR)$(bindir) install_man
+ 	$(install_script) cfv $(DESTDIR)$(bindir)/cfv

Modified: head/security/cfv/pkg-plist
==============================================================================
--- head/security/cfv/pkg-plist	Thu Apr 10 20:57:50 2014	(r350853)
+++ head/security/cfv/pkg-plist	Mon Apr 14 20:14:01 2014	(r351286)
@@ -2,3 +2,4 @@ bin/cfv
 %%PYTHON_SITELIBDIR%%/cfv.py
 %%PYTHON_SITELIBDIR%%/cfv.pyc
 %%PYTHON_SITELIBDIR%%/cfv.pyo
+man/man1/cfv.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Johannes Jost Meixner freebsd_committer 2014-04-14 21:24:42 UTC
State Changed
From-To: open->closed

Committed, thanks!